:root {
  --spacer: 15px;
  /* Colors */
  --bgColor: #ffffff;
  --textColor: #333333;
  --neutral: #ddd;
  --primaryAccent: #ec008c;
  --footerBg: #444;
  /* Typo */
  --textFont: 'PT Sans', san-serif;
  --headingFont: 'EB Garamond', Georgia, serif;
}

html, body {
  margin: 0;
  padding: 0;
  font-size: 16px;
  background-color: var(--bgColor);
}

html * {
  box-sizing: border-box;
}

#main {}

/* Typography */

html, body {
  font-family: var(--textFont);
  color: var(--textColor);
}

h1, h2, h3, h4, h5, h6 {
  font-family: var(--headingFont);
}

.lead {
  font-size: 1.125rem;
  font-style: italic;
}

/* Inspired by the https://1stwebdesigner.com/css-snippets-blockquotes/ */
.quote {
  font-family: var(--headingFont);
  font-size: 1.2rem;
  font-style: italic;
  color: var(--textColor);
  position: relative;
  display: block;
  margin: calc(2 * var(--spacer)) auto;
  padding: var(--spacer) calc(var(--spacer) * 2);
  border-width: 2px 0;
  border-style: solid;
  border-color: var(--neutral);
  max-width: 500px;
}

.quote::before {
  content: "\201C";
  display: flex;
  justify-content: center;
  align-content: center;
  position: absolute;
  left: 50%;
  top: 0;
  transform: translate(-50%, -50%);
  width: 3rem;
  height: 3rem;
  background-color: var(--bgColor);
  border-radius: 50%;
  font-size: 3rem;
  font-style: normal;
  color: var(--primaryAccent);
}

.quote::after {
  content: "\2014\00A0" attr(cite);
  display: block;
  text-align: right;
  font-family: var(--textFont);
  font-style: normal;
  font-size: 1rem;
}

/* Layout */

.container {
  max-width: 1100px;
  width: 100%;
  margin: 0 auto;
  padding: 0 var(--spacer);
}

.full-width {
  position: relative;
  width: 100vw;
  left: 50%;
  right: 50%;
  margin-left: -50vw;
  margin-right: -50vw;
}

.row {
  margin-left: calc( var(--spacer) * -1);
  margin-right: calc( var(--spacer) * -1);
  display: flex;
  flex-wrap: wrap;
}

/* I'm so used to the grid from Bootstrap 4, that I've decided to recreate it at
least in its basics. Big up to the BS4 creators! */

[class*="col"] {
  padding: 0 var(--spacer);
  flex-basis: 0;
  flex-grow: 1;
  flex-shrink: 1;
}

[class*="col-md"] {
  flex-basis: 100%;
}

.col {
  max-width: 100%;
}

.col-1 {
  max-width: calc(100% / 12 * 1);
}

.col-2 {
  max-width: calc(100% / 12 * 2);
}

.col-3 {
  max-width: calc(100% / 12 * 3);
}

.col-4 {
  max-width: calc(100% / 12 * 4);
}

.col-5 {
  max-width: calc(100% / 12 * 5);
}

.col-6 {
  max-width: calc(100% / 12 * 6);
}

.col-7 {
  max-width: calc(100% / 12 * 7);
}

.col-8 {
  max-width: calc(100% / 12 * 8);
}

.col-9 {
  max-width: calc(100% / 12 * 9);
}

.col-10 {
  max-width: calc(100% / 12 * 10);
}

.col-11 {
  max-width: calc(100% / 12 * 11);
}

.col-12 {
  max-width: calc(100% / 12 * 12);
}

/* Hero */

.hero {
  min-height: 100vh;
  background-color: mistyrose;
  background-image: url('https://www.planxdesign.eu/freecodecamp/01-tribute-page/assets/images/Emma-Plunkett-Artist-2018-bg-md.jpg');
  background-position: center;
  /* background-size: cover; */
  background-repeat: no-repeat;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  flex-direction: column;
}

.page__title {
  font-size: 3rem;
  text-align: center;
  text-shadow: 3px 3px 0px var(--textColor);
  line-height: 1.1;
  letter-spacing: 1px;
  margin-bottom: 1rem;
  color: #fff;
}

.tag-line {
  font-family: 'PT Sans', san-serif;
  font-size: 0.75rem;
  color: #fff;
  letter-spacing: 1rem;
  text-transform: uppercase;
  text-shadow: 3px 3px 0 var(--textColor);
  border-top: 1px solid #fff;
  padding-top: 1rem;
  margin-bottom: 1rem;
}

.icon {
  background-color: transparent;
  border: none;
  margin-bottom: 20%;
}

/* About */

/* CV */

.cv {
  width: 100%;
  padding: 0;
  margin: 0;
}

.cv__event {
  display: grid;
  grid-template-columns: minmax(min-content, 150px) 1fr;
  /* grid-template-rows: 1fr 1fr; */
  /* background-color: salmon; */
  grid-template-areas: "title title"
                       "date  date"
                       "info  info";
  grid-column-gap: var(--spacer);
  margin-bottom: var(--spacer);
  width: 100%;
}

.cv--cell {
  /* background-color: salmon; */
}

.cv__date {
  grid-area: date;
  font-size: 0.75rem;
  text-transform: uppercase;
  letter-spacing: 1px;
  margin-bottom: 0.25rem;
}

.cv__title {
  grid-area: title;
  font-size: 1.125rem;
  margin: 0;
  margin-bottom: 0.5rem;
  padding-bottom: 0.25rem;
  border-bottom: 1px solid var(--primaryAccent);
  font-family: var(--textFont);
}

.cv__info {
  grid-area: info;
}

/* Portfolio */
.portfolio {
  /* background-color: aqua; */
}

.portfolio__gallery {
  display: flex;
  flex-wrap: wrap;
}

.portfolio__item {
  display: block;
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: 100%;
  max-width: 100%;
  overflow: hidden;
  margin: 0;
  padding: 5px;
  margin: 5px;
}
.portfolio__item figcaption {
  font-size: 0.75rem;
  text-align: center;
}

.portfolio__item img {
  max-width: 100%;
  width: 100%;
  display: block;
}

/* Footer */
.footer {
  background-color: var(--footerBg);
  border-top: var(--spacer) solid var(--textColor);
  color: var(--bgColor);
  margin-top: calc( var(--spacer) * 3);
  padding-top: calc(var(--spacer) * 2);
  padding-bottom: calc(var(--spacer) * 2);
}

.footer a {
  color: var(--bgColor);
}

.footer__branding {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-areas: "logo"
                       "headline"
                       "usp";
  width: 100%;
}

.footer__branding__logo {
  grid-area: logo;
  display: block;
  width: 5rem;
  height: 5rem;
  margin: 0 auto var(--spacer);
}

.footer__branding__headline {
  grid-area: headline;
  font-size: 2em;
  margin: 0;
  text-align: center;
}

.footer__branding__usp {
  grid-area: usp;
  text-align: center;
  font-size: 0.75em;
  font-weight: 300;
  letter-spacing: 0.25px;
}

/**
* Media queries
*/

/* Tablet and bigger (min-width: 768px) */

@media screen and (min-width: 48em) {
  .hero {
    background-image: url('./assets/images/Emma-Plunkett-Artist-2018-bg-lg.jpg');
  }
  .page__title {
    font-size: 4.5rem;
  }
  .icon {
    margin-bottom: 5%;
  }

  /* Footer */
  .footer__branding {
    grid-template-columns: 5rem 1fr;
    grid-template-areas: "logo headline"
                         "logo usp";
    grid-column-gap: var(--spacer);
  }

  .footer__branding__logo {
    grid-area: logo;
    display: block;
    width: 5rem;
    height: 5rem;
    justify-self: end;
    align-self: center;
    margin-bottom: 0;
  }

  .footer__branding__headline {
    grid-area: headline;
    font-size: 2em;
    margin: 0;
    align-self: end;
    text-align: left;
  }

  .footer__branding__usp {
    grid-area: usp;
    margin: 0;
    font-size: 0.75em;
    font-weight: 300;
    letter-spacing: 0.25px;
    text-align: left;
  }

  .col-md-1 {
    flex-basis: calc(100% / 12 * 1);
    max-width: calc(100% / 12 * 1);
  }

  .col-md-2 {
    flex-basis: calc(100% / 12 * 2);
    max-width: calc(100% / 12 * 2);
  }

  .col-md-3 {
    flex-basis: calc(100% / 12 * 3);
    max-width: calc(100% / 12 * 3);
  }

  .col-md-4 {
    flex-basis: calc(100% /12 * 4);
    max-width: calc(100% / 12 * 4);
  }

  .col-md-5 {
    flex-basis: calc(100% / 12 * 5);
    max-width: calc(100% / 12 * 5);
  }

  .col-md-6 {
    flex-basis: calc(100% / 12 * 6);
    max-width: calc(100% / 12 * 6);
  }

  .col-md-7 {
    flex-basis: calc(100% / 12 * 7);
    max-width: calc(100% / 12 * 7);
  }

  .col-md-8 {
    flex-basis: calc(100% / 12 * 8);
    max-width: calc(100% / 12 * 8);
  }

  .col-md-9 {
    flex-basis: calc(100% / 12 * 9);
    max-width: calc(100% / 12 * 9);
  }

  .col-md-10 {
    flex-basis: calc(100% / 12 * 10);
    max-width: calc(100% / 12 * 10);
  }

  .col-md-11 {
    flex-basis: calc(100% / 12 * 11);
    max-width: calc(100% / 12 * 11);
  }

  .col-md-12 {
    flex-basis: calc(100% / 12 * 12);
    max-width: calc(100% / 12 * 12);
  }

  .col-md-offset-1 {
    margin-left: calc(100% / 12 * 1);
  }

  .col-md-offset-2 {
    margin-left: calc(100% / 12 * 2);
  }

  .col-md-offset-3 {
    margin-left: calc(100% / 12 * 3);
  }

  .col-md-offset-4 {
    margin-left: calc(100% / 12 * 4);
  }

  .col-md-offset-5 {
    margin-left: calc(100% / 12 * 5);
  }

  .col-md-offset-6 {
    margin-left: calc(100% / 12 * 6);
  }

  .col-md-offset-7 {
    margin-left: calc(100% / 12 * 7);
  }

  .col-md-offset-8 {
    margin-left: calc(100% / 12 * 8);
  }

  .col-md-offset-9 {
    margin-left: calc(100% / 12 * 9);
  }

  .col-md-offset-10 {
    margin-left: calc(100% / 12 * 10);
  }

  .portfolio__item {
    flex-basis: 50%;
    max-width: calc((100% / 2) - 10px);
  }

}

/* Desktops (min-width: 992px) */

@media screen and (min-width: 992px) {
  .hero {
    background-image: url('./assets/images/Emma-Plunkett-Artist-2018-bg-lg.jpg');
  }
  .page__title {
    font-size: 4.5rem;
  }

  .portfolio__item {
    flex-basis: 25%;
    max-width: calc((100% / 4) - 10px);
  }


  .col-lg-1 {
    flex-basis: calc(100% / 12 * 1);
    max-width: calc(100% / 12 * 1);
  }

  .col-lg-2 {
    flex-basis: calc(100% / 12 * 2);
    max-width: calc(100% / 12 * 2);
  }

  .col-lg-3 {
    flex-basis: calc(100% / 12 * 3);
    max-width: calc(100% / 12 * 3);
  }

  .col-lg-4 {
    flex-basis: calc(100% /12 * 4);
    max-width: calc(100% / 12 * 4);
  }

  .col-lg-5 {
    flex-basis: calc(100% / 12 * 5);
    max-width: calc(100% / 12 * 5);
  }

  .col-lg-6 {
    flex-basis: calc(100% / 12 * 6);
    max-width: calc(100% / 12 * 6);
  }

  .col-lg-7 {
    flex-basis: calc(100% / 12 * 7);
    max-width: calc(100% / 12 * 7);
  }

  .col-lg-8 {
    flex-basis: calc(100% / 12 * 8);
    max-width: calc(100% / 12 * 8);
  }

  .col-lg-9 {
    flex-basis: calc(100% / 12 * 9);
    max-width: calc(100% / 12 * 9);
  }

  .col-lg-10 {
    flex-basis: calc(100% / 12 * 10);
    max-width: calc(100% / 12 * 10);
  }

  .col-lg-11 {
    flex-basis: calc(100% / 12 * 11);
    max-width: calc(100% / 12 * 11);
  }

  .col-lg-12 {
    flex-basis: calc(100% / 12 * 12);
    max-width: calc(100% / 12 * 12);
  }

  .col-lg-offset-1 {
    margin-left: calc(100% / 12 * 1);
  }

  .col-lg-offset-2 {
    margin-left: calc(100% / 12 * 2);
  }

  .col-lg-offset-3 {
    margin-left: calc(100% / 12 * 3);
  }

  .col-lg-offset-4 {
    margin-left: calc(100% / 12 * 4);
  }

  .col-lg-offset-5 {
    margin-left: calc(100% / 12 * 5);
  }

  .col-lg-offset-6 {
    margin-left: calc(100% / 12 * 6);
  }

  .col-lg-offset-7 {
    margin-left: calc(100% / 12 * 7);
  }

  .col-lg-offset-8 {
    margin-left: calc(100% / 12 * 8);
  }

  .col-lg-offset-9 {
    margin-left: calc(100% / 12 * 9);
  }

  .col-lg-offset-10 {
    margin-left: calc(100% / 12 * 10);
  }

}